Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QRegExpValidator

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QRegExpValidator class reference

### Public Functions

- QRegExpValidator ( QObject * parent, const char * name ) `(obsolete)`
- QRegExpValidator ( const QRegExp & rx, QObject * parent, const char * name ) `(obsolete)`

## Member Function Documentation

### QRegExpValidator::QRegExpValidator ( QObject * parent, const char * name )

Constructs a validator with a parent object and name that accepts any string (including an empty one) as valid.

### QRegExpValidator::QRegExpValidator ( const QRegExp & rx, QObject * parent, const char * name )

Constructs a validator with a parent object and a name that accepts all strings that match the regular expression rx.

The match is made against the entire string; e.g. if the regexp is [A-Fa-f0-9]+ it will be treated as ^[A-Fa-f0-9]+$.